page_title: About Docker
page_description: Docker introduction home page
page_keywords: docker, introduction, documentation, about, technology, understanding, Dockerfile

# About Docker

*Secure And Portable Containers Made Easy*

## Introduction

[**Docker**](https://www.docker.io) is a container based virtualization
framework. Unlike traditional virtualization Docker is fast, lightweight
and easy to use. Docker allows you to create containers holding
all the dependencies for an application. Each container is kept isolated
from any other, and nothing gets shared.

## Docker highlights

 - **Containers provide sand-boxing:**  
   Applications run securely without outside access.
 - **Docker allows simple portability:**  
   Containers are directories, they can be zipped and transported.
 - **It all works fast:**  
   Starting a container is a very fast single process.
 - **Docker is easy on the system resources (unlike VMs):**  
   No more than what each application needs.
 - **Agnostic in its _essence_:**  
   Free of framework, language or platform dependencies.

And most importantly:

 - **Docker reduces complexity:**  
   Docker accepts commands *in plain English*, e.g. `docker run [..]`.

## About this guide

In this introduction we will take you on a tour and show you what
makes Docker tick.

On the [**first page**](introduction/understanding-docker.md), which is
**_informative_**:

 - You will find information on Docker;
 - And discover Docker's features.
 - We will also compare Docker to virtual machines;
 - And see some common use cases.

> [Click here to go to Understanding Docker](introduction/understanding-docker.md).

The [**second page**](introduction/technology.md) has **_technical_** information on:

 - The architecture of Docker;
 - The underlying technology, and;
 - *How* Docker works.

> [Click here to go to Understanding the Technology](introduction/technology.md).

On the [**third page**](introduction/working-with-docker.md) we get **_practical_**.
There you can:

 - Learn about Docker's components (i.e. Containers, Images and the
   Dockerfile);
 - And get started working with them straight away.

> [Click here to go to Working with Docker](introduction/working-with-docker.md).

Finally, on the [**fourth**](introduction/get-docker.md) page, we go **_hands on_**
and see:

 - The installation instructions, and;
 - How Docker makes some hard problems much, much easier.

> [Click here to go to Get Docker](introduction/get-docker.md).

> **Note**:
> We know how valuable your time is. Therefore, the documentation is prepared
> in a way to allow anyone to start from any section need. Although we strongly
> recommend that you visit [Understanding Docker](
> introduction/understanding-docker.md) to see how Docker is different, if you
> already have some knowledge and want to quickly get started with Docker,
> don't hesitate to jump to [Working with Docker](
> introduction/working-with-docker.md).
